import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { SignUpDto } from "src/auth/auth.dto";
import { AuthService } from "src/auth/auth.service";

@Controller("auth")
export class AuthController {
	constructor(private readonly authService: AuthService) {}

	//POST signup
	@HttpCode(HttpStatus.CREATED)
	@Post("signup")
	async signUp(@Body() dto: SignUpDto) {
		console.log(dto);
		return this.authService.doRegister(dto);
	}

	//POST signin
	//GET me -- Get current user data via jwt
	//DELETE me
	//PATCH me
}
